Page MenuHomePhabricator

ProofReadPage hould disable editing on mobile when installed so as not to have data corruption
Closed, ResolvedPublic

Description

Setting
$wgMFPageActions = array( 'talk', 'upload', 'watch' );

Will disable the edit icon on mobile.
This is a temporary measure until a full mobile wikisource editing experience can be built.

Event Timeline

Jdlrobson raised the priority of this task from to Low.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: ProofreadPage.
Jdlrobson added subscribers: Florian, MaxSem, kaldari and 3 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 5:45 PM
Tpt added a comment.Apr 11 2015, 7:38 AM

Thank you for the tip :-).

Is there any way to disable the edit icon only on Index: and Page: namespaces? Maybe with an hook?

You could use SkinMinervaDefaultModules and remove the module mobile.editor.

Change 203549 had a related patch set uploaded (by Tpt):

Disable mobile editing of Page: and Index: namespaces

https://gerrit.wikimedia.org/r/203549

Change 203549 merged by jenkins-bot:

Disable mobile editing of Page: and Index: namespaces

https://gerrit.wikimedia.org/r/203549

Florian closed this task as Resolved.Apr 11 2015, 8:01 PM
Florian claimed this task.
Florian removed a project: Patch-For-Review.
Florian set Security to None.
GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 4:00 AM